Page MenuHomePhabricator

Promote 'font changer' to beta
Closed, ResolvedPublic

Description

Get the 'font changer' feature working (seems to be broken currently), and promote it from alpha to beta. May need further discussion on the implementation.

Event Timeline

kaldari created this task.May 28 2015, 11:56 PM
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added a project: Readers-Web-Backlog.
kaldari added a subscriber: kaldari.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2015, 11:56 PM

@KHammerstein, @JKatzWMF We need to figure out what implementation makes sense for this. Apparently Florian built two versions, one that lived on the settings page and one that lived in hamburger menu. I usually don't have strong opinions on these things, but it seems like it would be a lot better for this to live on the settings page, both because it is a more intuitive location and so it doesn't take up valuable space in the hamburger menu. Thoughts?

kaldari set Security to None.May 29 2015, 12:01 AM
kaldari added a subscriber: Florian.

@kaldari, @KHammerstein: I agree with you that it should sit in settings. Can @Florian provide a screenshot or more of how this implementation works?

Florian added a comment.EditedJun 13 2015, 6:03 PM

@JKatzWMF: There was a discussion about that, with some prototypes and arguments, without quoting them all, i just linking the task :D
T50946: Add font size adjustment feature

There is one prototype (my first one) on Special:MobileOptions:

I think it's "enough" to discuss it, it would be relatively easy to replace the three buttons (-, size (combined with switch to 100% iirc), and +) with three fixed font size buttons (like we have actually in the drawer).

Btw.: The drawer is available now on wikipedias, but i'm not sure, why it wasn't instantly :(

ping...pong :D

phuedx added a subscriber: phuedx.Jul 8 2015, 2:21 PM

@JKatzWMF: What do you think about the above example?

@Florian this looks good to me and sorry for the delayed response. Two Quick Questions:

  • what is the action that occurs when you hit the +/- buttons. @KHammerstein suggests 10%.
  • can we swap the explanation to below the buttons?
  • what is the action that occurs when you hit the +/- buttons. @KHammerstein suggests 10%.

Exact, 10%, iirc correctly, but if not, 10% sounds good :)

  • can we swap the explanation to below the buttons?

sure

Change 229950 had a related patch set uploaded (by Florianschmidtwelzow):
Rewrite fontchanger to live in mobile settings now

https://gerrit.wikimedia.org/r/229950

Change 229950 merged by jenkins-bot:
Rewrite fontchanger to live in mobile settings now

https://gerrit.wikimedia.org/r/229950

@Florian @Jdlrobson @phuedx

I've noticed what this does internally is set up style attributes on the p tags on the article content.

This results in not all the font sizes being smaller (infobox, etc), but only some text paragraphs:

I think a better implementation would be setting a font-size of 70% on the body or if we don't want the whole UI to change on #bodyContent so that it only affects the content.

This is the #bodyContent { font-size: 70% }:

As you can see it scales all the content very nicely since we're not using fixed pixels anywhere (which btw is awesome).

@Florian I loved that reseting to 100% didn't do anything weird like setting the ps with style='font-size: 100%;'. Very nice touch!

My recommendation would be to set it on body so that the font changes affect to all UI elements (let's think you want it bigger or smaller, you probably also want the menu to be bigger or smaller), but I'm open to setting it on #mw-mf-page-center for the whole UI minus the menu or #bodyContent for only the article content.

Opinions? This is very nice!

Some screenshots:

Whole UI at my preferred 70%:


Whole UI with menu at my preferred 70%:

For comparison this are the 100% sizes:

Same changes apply to making everything bigger to see better or vision problems (120% for example):

Moving this back, since we can do better :D

kaldari removed a subscriber: kaldari.Aug 14 2015, 6:29 PM

I think this task should be closed and split out into bugs personally. I'm a bit lost what needs to be done before completing this task which is simply to move it to beta.

@Jdlrobson Any opinions from my comment? Otherwise I can update the description with concrete steps about what to do.

@Jhernandez yup I agree with what you're saying I just think it doesn't belong in a card about pushing it to beta as the feature is now in beta (given we have no dev branch) and I think it would be clearer for all involved. Sound okay?

Jdlrobson closed this task as Resolved.Aug 17 2015, 7:46 PM
Jdlrobson claimed this task.

Spun off T109363 and resolving this since the original task was simply to get this into beta. Leaving to you for sign off if that makes sense.

Jhernandez reopened this task as Open.Aug 19 2015, 9:27 AM

We're good. I'm going to swap the blockers around, since the other task doesn't block this one.

Ignore me. This task is fine and there's no blockers to swap. I confused this one with the font changer to stable card.

Jhernandez closed this task as Resolved.Aug 21 2015, 4:32 PM